Subject: Re: Invocation of per-user shepherd - design needed

From: Danny Milosavljevic <[email-masked]>
Date: Mon, 5 Nov 2018 09:47:56 +0100

Hi,

On Mon, 5 Nov 2018 08:49:00 +0100
swedebugia <[email-masked]> wrote:

> # sudo herd status
> 
> gave me what I wanted
> 
> Maybe an error to the non-root user such as: "Shepherd is designed to 
> run as root only" would suffice.

shepherd is not designed to run as root only.  That's exactly why it's trying
to connect to the per-user instance: If there's one, it will work fine.  If
not, you get this error message (we should improve the error message to not
include a stack trace - and also maybe add a hint to it about what to do).